FLPSED(1)

NAME
flpsed - annotate PostScript and PDF files

SYNOPSIS
flpsed [-bdh] [-t tag=value] [-z zoom] [infile] [outfile]

DESCRIPTION
The flpsed utility allows one to annotate Postscript files. PDF files can be imported using the pdftops and exported using the ps2pdf utility. If the document was saved in Postscript format, added text can be reedited later. flpsed is useful for filling in forms or adding short comments. Batch mode can be used to automate form filling.

The options are as follows:

-b  Batch mode (no GUI). In batch mode flpsed reads from stdin, if no infile is specified. Batch mode is useful in combination with the file ... -t option.

-d  Dump tags and values from a document to stdout (implies -b ).

-h  Show short help text.

-t tag=value
    Set text to value where tag is tag Multiple -t options are allowed.

-z zoom
    Set initial zoom value in percent.

-geometry WxH+X+Y
    Set initial geometry.

-iconic
    Start iconified.

-scheme string
    Use fltk scheme string Currently fltk supports "plastic" and "gtk+".

EXIT STATUS

EXAMPLES
The command:

    flpsed file1

will start flpsed and load file1 for interactive editing.

The command:

    flpsed -b -t foo=bar file1 file2

will set the text of all text fields in file1 carrying the tag "foo" to "bar" and write the resulting Postscript document to file2

SEE ALSO
pdftops(1), ps2pdf(1)

AUTHOR
Johannes Hofmann <Johannes.Hofmann@gmx.de>